/* Setting things to 0 and a universal font size for any REM stuff */

* {
    margin: 0;
    padding: 0;
    font-size: 16px;
    box-sizing: border-box;
}

/* Adding in external font family */

@font-face {
    font-family: 'LEMON MILK';
    src: url('LEMONMILK-Bold.eot');
    src: url('LEMONMILK-Bold.eot?#iefix') format('embedded-opentype');
    src: url('lemonmilk-bold-webfont.woff2') format('woff2');
    src: url('lemonmilk-bold-webfont.woff') format('woff');
    src: url('LEMONMILK-Bold.ttf') format('truetype');
    font-weight: 800;
    font-style: normal;
    font-display: swap;
}

/* Setting the body up */

body {
    width: 100%;
    background: rgb(232, 232, 232);
    background: radial-gradient(circle, rgba(232, 232, 232, 1) 0%, rgb(219, 180, 180) 100%);
    position: relative;
    /* Gets rid of the double scroll bar caused from the parallax */
    overflow-x: hidden;
    overflow-y: hidden;
    height: 100vh;
}

.whole-page-container {
    min-height: 100vh;
    position: relative;
    overflow-y: auto;

}

/* Nav menu */

.mobile-nav {
    display: none;
}

header {
    position: sticky;
    /* Puts header over the lens-dirt overlay */
    z-index: 999;
}

nav {
    width: 100%;
    background-color: rgb(235, 78, 78);
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    box-shadow: 0px 0px 40px rgb(0, 0, 0, .5);
}

.logo {
    height: 40px;
}

/* Prevents the other items on the nav bar from slightly moving when logo flips to "home" and back */
.logo-home {
    width: 40px;
}

/* Hover effect to swap the logo and Home */

.home {
    display: none;
}

.logo-home:hover .logo {
    display: none;
}

.logo-home:hover .home {
    display: inline;
}

/* Back to Nav stuff */

nav>ul {
    display: flex;
    width: 1000px;
    justify-content: space-between;
    align-items: center;
}

nav>ul>li {
    list-style-type: none;
    padding: 3px;
    font-family: 'lato';
}

nav>ul>li>a {
    padding: 5px;
}

a {
    text-decoration: none;
    color: white;
}

.btn {
    border: none;
    display: block;
    text-align: center;
    cursor: pointer;
    outline: none;
    overflow: hidden;
    position: relative;
    padding: 0;
}

.btn div {
    position: relative;
    z-index: 1;
    padding: 3px 25px;
    transition: all .5s ease-in-out;
}

.btn:after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    height: 490%;
    width: 155px;
    background: rgb(255, 255, 255);
    box-shadow: 0 5px 15px rgba(255, 255, 255, 0.7);
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
    -webkit-transform: translateX(-98%) translateY(-25%) rotate(45deg);
    transform: translateX(-98%) translateY(-25%) rotate(45deg);
}

.btn div:hover {
    color: rgb(235, 78, 78);
    transition: all .5s ease-in-out;
}

.btn:hover:after {
    -webkit-transform: translateX(1%) translateY(-25%) rotate(45deg);
    transform: translateX(1%) translateY(-25%) rotate(45deg);
}

.active-nav {
    background: rgb(255, 255, 255);
    color: rgb(235, 78, 78);
}

/* Fixed page overlay to add a "lens dirt" effect like in film */

.lens-dirt {
    position: fixed;
    top: 0;
    left: 0;
    /* Blending mode that takes out the "dark" and leaves the "white" */
    mix-blend-mode: screen;
    object-fit: contain;
    overflow: hidden;
    /* Allows user to click "through" the overlay */
    pointer-events: none;
    /* Puts it over the other elements */
    z-index: 900;
}

/* Put the sub-title text effects here */


/* Parallax effect for the background */

.parallax {
    height: 100vh;
    overflow-x: hidden;
    overflow-y: auto;
    perspective: 1px;
    position: relative;
    width: 100%;
}

/* Hide scrollbar for Chrome, Safari and Opera */
.parallax::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
.parallax {
    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}

.parallax-layer {
    position: absolute;
    top: -500px;
    right: 0;
    bottom: 0;
    left: 0;
}

.layer0 {
    transform: translateZ(.1px);
    /* places the text closest to the "camera" */
}

.layer1 {
    transform: translateZ(-.05px);
    /* places the foreground slightly further from the "camera" than the text */
}

.layer2 {
    transform: translateZ(-1px);
    /* places the midground middle from the "camera" */
}

.layer3 {
    transform: translateZ(-2px);
    /* places the background furthest from the "camera" */
}

.parallax-layer.layer0 {
    top: 0rem;
    width: 100%;
    /* Makes sure the text appears on top of the balloons */
    z-index: 999;
    display: flex;
    justify-content: center;
}

.parallax-layer.layer1 {
    width: 300%;
    height: 2680px;
    /* Makes sure the foreground balloons appear on top of other balloons */
    z-index: 900;
    background-repeat: repeat;
    background-image: url("../Images/Balloons\ Foreground.png");

}

.parallax-layer.layer2 {
    top: 10rem;
    left: -40rem;
    width: 200%;
    height: 5000px;
    /* Makes sure the midground balloons only appear over the background ones */
    z-index: 800;
    background-image: url("../Images/Balloons\ Midground.png");
    background-repeat: repeat;
    background-size: cover;
}

.parallax-layer.layer3 {
    top: -20rem;
    left: -50rem;
    width: 200%;
    height: 6000px;
    background-image: url("../Images/Balloons\ Background.png");
    background-repeat: repeat;
    background-size: cover;
}


/* Actual content */

.mobile-hero-text {
    display: none;
}

.flex-column-container {
    width: 1000px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.hero-box {
    display: flex;
    align-items: center;
}

.hero-box:first-child {
    padding-top: 8rem;
}

.hero-box:not(:first-child) {
    padding-top: 250px;
}

.hero-box>h1,
.hero-text>h1 {
    font-family: 'LEMON MILK';
    text-align: center;
    padding-top: 100px;
    letter-spacing: 4px;
}

.hero-box>h2 {
    font-family: 'LEMON MILK';
    font-size: 5vw;
    border-bottom: solid black 5px;
}

.hero-title {
    display: flex;
    flex-direction: column;
}

.hero-title>h1 {
    font-size: 6vw;
}

.hero-box:last-child {
    margin-bottom: 0 !important;
    padding-bottom: 0 !important;
}

/* Subheader Effect */

.subheader-text {
    font-family: 'LEMON MILK';
    font-size: 3vw;
    margin-bottom: 350px;
    text-shadow: rgb(235, 78, 78, .5) 5px 0px;
}

.video-editing-gif,
.video-editing {
    width: 60vw;
    max-width: 1000px;
}

.vfx,
.vfx-gif {
    width: 80vw;
    max-width: 1000px;
}

.motion-gfx,
.motion-gfx-gif {
    width: 60vw;
    max-width: 1000px;
}


.hero-video-editing:hover>.hover {
    display: block;
}

.hero-video-editing:hover>.switch {
    display: none;
}

.hover {
    display: none;
}

.switch {
    display: block;
}

.hero-motion-graphics {
    margin-top: 200px;
    padding-bottom: 150px;
    margin-bottom: 0px;
}

footer {
    background-color: rgb(235, 78, 78);
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 50px;
    /* Puts footer over the lens-dirt overlay */
    z-index: 999;
    box-shadow: 0px 0px 40px rgb(0, 0, 0, .5);
    display: flex;
    justify-content: center;
    align-items: center;
}

footer>p {
    color: white;
    font-family: lato;
}

/*  CSS for the side menu */

.side-menu-position {
    padding-top: 25px;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 2;
}

.side-menu-design {
    background-color: rgb(235, 78, 78);
    opacity: 0;
    transform: translateX(100%);
    transition: 0.4s ease-in-out;
}

.side-menu-content {
    color: #fff;
    font-size: 40px;
    font-family: 'LEMON MILK';
    margin: 50px;
    text-align: center;
}

.side-menu-content li {
    list-style: none;
    margin-bottom: 25px;
}

.show-menu {
    opacity: 1;
    transform: translateX(0%);
}

/* CSS for Video Pages Starts Here */

.video-pages {
    overflow-y: scroll;
    -ms-overflow-style: none;
    /* Internet Explorer 10+ */
    scrollbar-width: none;
    /* Firefox */
}

.video-pages::-webkit-scrollbar {
    display: none;
    /* Safari and Chrome */
}

.video-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 50px;
}

.video-hero {
    max-width: 90%;
    display: flex;
    margin-bottom: 50px;
}

iframe {
    width: 1000px;
    border-radius: 10px;
}

.video-thumbnails {
    width: 1000px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    margin-bottom: 100px;
}

.thumbnails {
    width: 200px;
    border: 1px black solid;
}

.selected-thumbnail {
    outline: 5px rgb(235, 78, 78) solid;
}

/* CSS for contact us form */

.form-container {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    align-self: center;
}

.form div h1 {
    margin-top: 0;
    font-weight: 600;
    margin-bottom: 20px;
}

.form {
    font-family: 'LEMON MILK';
    width: 1000px;
    max-width: 80%;
    border-radius: 20px;
    background: white;
}

.inner-form {
    padding: 40px;
}

.inner-form input,
.inner-form textarea {
    display: block;
    width: 100%;
    padding: 15px;
    margin-bottom: 10px;
    border: none;
    background: rgb(232, 232, 232)
}

.inner-form textarea {
    resize: none;
}

.form-button {
    width: fit-content;
    padding: 10px;
    margin-top: 20px;
    border: none;
    background: rgb(235, 78, 78);
    color: white;
    transition: .5s;
    font-family: 'LEMON MILK';
    cursor: pointer;
}

.form-button:hover {
    background: rgb(238, 145, 145);
}

.needText::placeholder {
    color: rgb(235, 78, 78);
    font-weight: 600;
}

/* Screen Sizes under 320px */

/* Main page and consistent elements */

@media only screen and (max-width: 768px) {
    body {
        width: 100%;
        background: radial-gradient(circle, rgba(232, 232, 232, 1) 0%, rgb(219, 180, 180) 100%);
        height: 100%;
    }

    .fullscreen-nav {
        display: none;
    }

    .mobile-nav {
        display: flex;
        align-items: center;
        align-content: center;
    }

    .mobile-nav li {
        cursor: pointer;
    }

    .hamburger {
        display: block;
        width: 30px;
        height: 30px;
        margin-right: 20px;
        padding: 0;
    }

    .close {
        display: none;
        width: 30px;
        height: 30px;
        padding: 0;
        margin-right: 20px;
    }

    .close-icon {
        width: 30px;
        height: 30px;
        margin-right: 20px;
        padding: 0;
    }

    .container {
        display: none;
    }

    .mobile-hero-text {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 50px;
    }

    .mobile-hero-text h1 {
        font-family: 'LEMON MILK';
        font-size: 7vw;

    }

    .mobile-hero-text h2 {
        font-family: 'LEMON MILK';
        font-size: 5vw;
        border-bottom: solid black 2px;
    }

    .mobile-subheader {
        font-family: 'LEMON MILK';
        font-size: 3vw;
    }

    footer {
        position: absolute;
        bottom: 0;
        left: 0;
        margin: 0;
    }

    /* Video Pages */

    .video-container {
        padding-bottom: 80px;
    }

    .mobile-video-hero {
        width: 90%;
        margin-top: 10px;
        justify-content: center;
    }

    iframe {
        position: relative;
        min-width: 90%;
    }

    .mobile-thumbnails {
        width: 90%;
    }

}

/* Contact us page */

.contact-us-container {

    position: relative;
}

.contact-us-page {
    width: 100%;
    height: 100vh;
    position: relative;
}